<app-page-header headerTitle="{{ title }} Attribute">
  <app-button
    icon="fa-solid fa-angle-left"
    text="Back"
    (onClick)="goToList()"
  ></app-button>
</app-page-header>

<form action="" [formGroup]="attributeForm">
  <div class="row justify-content-center">
    <div class="col-md-3">
  <app-card class="cardSticky">
    <div class="row">
      <!-- Title field -->
      <div class="col-md-12">
        <div class="form-group">
          <!-- for binds the label to the input element -->
          <label for="Title" class="form-label">
            Attribute
            <span class="text-danger">*</span></label
          >
          <input
            type="name"
            class="form-control"
            id="attributeName"
            placeholder="Attribute Name"
            formControlName="attributeName"
          />
          <div
            *ngIf="submitted && f.attributeName.errors?.required"
            class="alert-error"
          >
            Attribute Name is required
          </div>
        </div>
      </div>

      <div class="col-md-12">
        <div class="form-group">
          <label for="displayName" class="form-label"> Display Name </label>
          <input
            type="name"
            class="form-control"
            id="displayName"
            placeholder="Display Name"
            formControlName="displayName"
          />
          <div
            *ngIf="submitted && f.displayName.errors?.required"
            class="alert-error"
          >
            Display Name is required
          </div>
        </div>
      </div>

      <div class="col-md-12">
        <div class="form-group">
          <app-switch formControlName="isActive" label="Status"></app-switch>
        </div>
      </div>
    </div>
  </app-card>
  </div>

  <div class="col-md-9">

  <app-card>
    <div class="row py-1">
      <div class="col">
        <h2 class="">Attribute Value</h2>
        <div class="table-responsive">
          <table class="table" formArrayName="attributeDetail">
            <thead>
              <tr>
                <th width="300">Value<span class="text-danger">*</span></th>
                <th>Description</th>
                <th width="300">Upload Image (ex.- .jpg, .png, .jpeg)</th>
                <th width="50">Status</th>
                <th width="5%">
                  <app-button
                    icon="fas fa-plus"
                    color="success"
                    text=""
                    (onClick)="addattributeRow()"
                  >
                  </app-button>
                </th>
              </tr>
            </thead>
            <tbody
              *ngFor="
                let item of attributeDetail.controls;
                let i = index
              "
              [formGroupName]="i"
            >
              <tr>
                <td>
                    <input
                    type="text"
                    id="value"
                    formControlName="value"
                    class="form-control"
                    autocomplete="off"
                    placeholder="Value"
                  />
                  <div
                    *ngIf="
                    attributeDetail.controls[i].get('value')?.errors
                        ?.required && submitted
                    "
                    class="alert-error"
                  >
                    Value is required
                  </div>
                </td>
                <td>
                  <textarea
                    id="name"
                    formControlName="description"
                    class="form-control"
                    placeholder="Description"
                  ></textarea>
                </td>
                <td>
                  <input
                    type="file"
                    class="form-control"
                    name="image"
                    (change)="onFileChanged($event, i)"
                    accept="image/*"
                  />
                  <!-- accept=".jpg, .png, .jpeg" -->
                  <span
                    *ngIf="
                      attributeData &&
                      attributeData.AttributeDetails &&
                      attributeData?.AttributeDetails[i]?.image
                    "
                  >
                    <a
                      href="{{ imgBaseURL }}{{
                        attributeData.AttributeDetails[i].image
                      }}"
                      target="_blank"
                      class="d-flex text-decoration-none mt-1 download-link"
                      ><i class="fa fa-download"></i>
                      {{ attributeData.AttributeDetails[i].image }}
                    </a></span
                  >
                </td>
                <td class="text-center">
                  <input
                    type="checkbox"
                    class="custom-control-input"
                    id="isActive2"
                    formControlName="isActive"
                  />
                </td>
                <td>
                  <app-button
                    icon="far fa-trash-can"
                    color="danger"
                    text=""
                    (onClick)="removeattributeRow(i, item.value)"
                  >
                  </app-button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </app-card>
  </div>
  </div>
</form>

<div class="text-end my-4 mx-2">
  <app-button
    text="Update"
    (onClick)="onSubmit($event)"
    [loading]="showLoader"
    *ngIf="isEdit"
  >
  </app-button>
  <app-button
    text="Add"
    (onClick)="onSubmit($event)"
    [loading]="showLoader"
    *ngIf="!Id"
  >
  </app-button>
  <app-button text="Cancel" (onClick)="goToList()"> </app-button>
</div>
